VERSION 5.00
Object = "{5006E56D-FEDE-4C64-9CC2-78C320929406}#1.0#0"; "TeeChart2013.ocx"
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   6780
   ClientLeft      =   60
   ClientTop       =   360
   ClientWidth     =   9480
   LinkTopic       =   "Form1"
   ScaleHeight     =   6780
   ScaleWidth      =   9480
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox Text1 
      Height          =   495
      Left            =   5640
      TabIndex        =   6
      Text            =   "Text1"
      Top             =   5760
      Width           =   1215
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Command1(2)"
      Height          =   495
      Index           =   2
      Left            =   2760
      TabIndex        =   4
      Top             =   5760
      Width           =   1215
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Command1(1)"
      Height          =   495
      Index           =   1
      Left            =   1440
      TabIndex        =   3
      Top             =   5760
      Width           =   1215
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Command2"
      Height          =   495
      Left            =   8160
      TabIndex        =   2
      Top             =   5880
      Width           =   1215
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Command1(0)"
      Height          =   495
      Index           =   0
      Left            =   120
      TabIndex        =   1
      Top             =   5760
      Width           =   1215
   End
   Begin TeeChart.TChart TChart1 
      Height          =   5295
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   9255
      Base64          =   $"Form1.frx":0000
   End
   Begin VB.Label Label1 
      BorderStyle     =   1  'Fixed Single
      Caption         =   "Label1"
      Height          =   495
      Left            =   4200
      TabIndex        =   5
      Top             =   5760
      Width           =   1455
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Public tmpStart As Date
Public tmpDate As Date
Public NumSeconds As Long

Private Type datar
    RecordNumber As Long
    RealDate As String
    RealTime12Hr As String
    RealTime24Hr As String
    AccumTime As Double
    YValue(8) As Double
    XValue As Double
End Type
Dim XDataArray() As datar

Sub LoadData(ModeIndex As Integer)
Dim aa As Integer
Dim bb As Integer

    ReDim XDataArray(NumSeconds)
    
    Call LoadTempArray

    Select Case ModeIndex
        Case 0      'Accumulated
            For bb = 0 To 7
                TChart1.Series(bb).XValues.DateTime = False
            Next bb
            TChart1.Axis.Bottom.Labels.ValueFormat = "#,##0.00"
        Case 1      '12 Hr.
            For bb = 0 To 7
                TChart1.Series(bb).XValues.DateTime = True
            Next bb
            TChart1.Axis.Bottom.Labels.DateTimeFormat = "h:mm am/pm"
        Case 2      '24 Hr.
            For bb = 0 To 7
                TChart1.Series(bb).XValues.DateTime = True
            Next bb
            TChart1.Axis.Bottom.Labels.DateTimeFormat = "hh:mm"
    End Select
                
    For aa = 0 To NumSeconds - 1
        With XDataArray(aa)
            Select Case ModeIndex
                Case 0      'Accumulated
                    .XValue = .AccumTime
                Case 1      '12 Hr.
                    .XValue = TimeValue(.RealDate & " " & .RealTime12Hr)
                Case 2      '24 Hr.
                    .XValue = TimeValue(.RealDate & " " & .RealTime24Hr)
            End Select
        End With
    Next aa
    
    For aa = 0 To 7
        TChart1.Series(aa).Clear
    Next aa
        
    For aa = 0 To NumSeconds - 1
        For bb = 0 To 7
            TChart1.Series(bb).AddXY XDataArray(aa).XValue, XDataArray(aa).YValue(bb), "", clTeeColor
        Next bb
    Next aa
    
End Sub

Sub LoadTempArray()
Dim aa As Integer
Dim bb As Integer

    For bb = 0 To NumSeconds - 1
        With XDataArray(bb)
            .RecordNumber = bb
            .AccumTime = 1 / 60 * bb
            .RealDate = DateValue(tmpStart)
            .RealTime12Hr = Format$(TimeValue(tmpStart + (1 / 24 / 60 / 60) * bb), "h:mm:ss am/pm")
            .RealTime24Hr = Format$(TimeValue(tmpStart + (1 / 24 / 60 / 60) * bb), "HH:MM:SS")
            For aa = 0 To 7
                .YValue(aa) = TChart1.Series(aa).YValues.Value(bb)
            Next aa
        End With
    Next bb
    
End Sub

Private Sub Command1_Click(Index As Integer)

    Call LoadData(Index)

End Sub

Private Sub Command2_Click()

    TChart1.ShowEditor
    
End Sub

Private Sub Form_Load()
Dim aa As Integer
Dim bb As Integer

    TChart1.Aspect.View3D = False
    TChart1.Legend.Visible = False
    
    Command1(0).Caption = "Accumulate"
    Command1(1).Caption = "12 Hour"
    Command1(2).Caption = "24 Hour"
    
    Command2.Caption = "Show Editor"
    
    Label1.Caption = "Number of Minutes:"
    Text1.Text = "10"
    
    tmpStart = Now
        
    For aa = 0 To 7
        TChart1.AddSeries scFastLine
        TChart1.Series(aa).Pen.Width = 2
        TChart1.Series(aa).XValues.DateTime = True
        For bb = 0 To NumSeconds - 1
            tmpDate = tmpStart + (1 / 24 / 60) * 24 * bb
            TChart1.Series(aa).AddXY tmpDate, Rnd * 10, "", clTeeColor
        Next bb
        If aa > 0 Then
          TChart1.Series(aa).Active = False
        End If
    Next aa
    
    ReDim XDataArray(NumSeconds)
    
    Call LoadTempArray
    
    Call LoadData(0)
  
End Sub

Private Sub Text1_Change()

    NumSeconds = Val(Text1.Text) * 60
    
End Sub


